View Issue Details

IDProjectCategoryView StatusLast Update
0002743WishesPlugins API.Editorpublic2014-07-23 09:19
ReporterNightRomanAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002743: Не хватает ECTL_GETTITLE в дополнение к ECTL_SETTITLE
DescriptionВ API редактора не хватает ECTL_GETTITLE в дополнение к ECTL_SETTITLE. Даже если есть возможность получить заголовок обходным путем (через информацию об окнах имя файла можно получить, правда, это не всегда заголовок), то все равно GET метод напрашивается к SET.
TagsNo tags attached.
Build4013

Activities

vskirdin

2014-07-21 11:10

administrator   bugnote:0012764

Так?

ECTL_GETTITLE
Получить заголовок редактора.
Param1 - размер буфера в символах, который выделил плагин для данных.
Param2 указывает на буфер, выделенный плагином, куда будет помещен заголовок редактора.
Функция возвращает требуемый размер буфера в символах, с учетом завершающего нуля.
Если Param2 = NULL или Param1 меньше требуемого размера, функция просто вернет необходимый размер буфера.

vskirdin

2014-07-21 11:59

administrator   bugnote:0012765

build 4013

NightRoman

2014-07-21 13:27

reporter   bugnote:0012766

Спасибо, протестирую скоро, отпишусь.

NightRoman

2014-07-21 14:56

reporter   bugnote:0012767

Работает.

shmuel

2014-07-21 15:00

developer   bugnote:0012768

В энциклопедию надо добавить.

vskirdin

2014-07-21 16:28

administrator   bugnote:0012769

добавил в Энц.

NightRoman

2014-07-22 14:44

reporter   bugnote:0012771

В последнем Фаре не нашел ECTL_GETTITLE в энц. Она не каждый билд собирается?

shmuel

2014-07-22 19:02

developer   bugnote:0012773

Сейчас проверил вводом в поле Index - есть.

NightRoman

2014-07-22 19:17

reporter   bugnote:0012775

Да, есть. Обновил х86, а энц смотрел в х64.

Тогда тикет, наверное, можно и закрыть. Вроде все сделано и работает.

Issue History

Date Modified Username Field Change
2014-07-21 01:22 NightRoman New Issue
2014-07-21 11:10 vskirdin Note Added: 0012764
2014-07-21 11:12 vskirdin Assigned To => vskirdin
2014-07-21 11:12 vskirdin Status new => assigned
2014-07-21 11:59 vskirdin Note Added: 0012765
2014-07-21 11:59 vskirdin Status assigned => feedback
2014-07-21 13:27 NightRoman Note Added: 0012766
2014-07-21 13:27 NightRoman Status feedback => assigned
2014-07-21 14:56 NightRoman Note Added: 0012767
2014-07-21 15:00 shmuel Note Added: 0012768
2014-07-21 16:28 vskirdin Note Added: 0012769
2014-07-21 16:28 vskirdin Status assigned => feedback
2014-07-22 14:44 NightRoman Note Added: 0012771
2014-07-22 14:44 NightRoman Status feedback => assigned
2014-07-22 19:02 shmuel Note Added: 0012773
2014-07-22 19:17 NightRoman Note Added: 0012775
2014-07-23 09:19 vskirdin Build => 4013
2014-07-23 09:19 vskirdin Status assigned => closed
2014-07-23 09:19 vskirdin Resolution open => fixed
2014-07-23 09:19 vskirdin Fixed in Version => 3.0